summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-15 06:38:14 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-15 06:38:14 +0200
commit75608b2aa33d74484270e72cd9f195caff990ebb (patch)
tree17fd28c2f9907875666a493da8bf86e182aba433 /dev-ruby
parentdev-ruby/asciidoctor: add 2.0.7 (diff)
downloadgentoo-75608b2aa33d74484270e72cd9f195caff990ebb.tar.gz
gentoo-75608b2aa33d74484270e72cd9f195caff990ebb.tar.bz2
gentoo-75608b2aa33d74484270e72cd9f195caff990ebb.zip
dev-ruby/asciidoctor-diagram: add 1.5.16
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/asciidoctor-diagram/Manifest1
-rw-r--r--dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.16.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-ruby/asciidoctor-diagram/Manifest b/dev-ruby/asciidoctor-diagram/Manifest
index 408424f9d45..64e93b21791 100644
--- a/dev-ruby/asciidoctor-diagram/Manifest
+++ b/dev-ruby/asciidoctor-diagram/Manifest
@@ -2,3 +2,4 @@ DIST asciidoctor-diagram-1.5.12.tar.gz 11262551 BLAKE2B 08ecd3c1b7814b253e6be11d
DIST asciidoctor-diagram-1.5.13.tar.gz 11264430 BLAKE2B b5ce1946635bf24e45d8bdd264a3e924b9c876e28d42efce388e60c85e143c9267971eb2dbffe9ceb9af4770162dc1c29538291ff24b59db5fad382811810972 SHA512 9a51b69af6b60bcf7e6daa1be3965ca4497fef7e8ec04461380c51494b5c4aaba35a6e62bfe88281b8d54c8340b34b6cc739da021cfa6f7d9f528802347a02e4
DIST asciidoctor-diagram-1.5.14.tar.gz 11264778 BLAKE2B 298d3c8dc569877d4500bbbc41167de66748d67e9813c6d505aa9296fe49d973e3455a9f53a127ebc9127db64b5228c24e1ddb2ccacfe5bafdfbd5a8511ffb49 SHA512 66f8b7f48dcab4feb14eadadeb571c7cedb0b18c7a0acb004ebc6144affddc1d4a3d05a27996c666ac7966b62d05a5953b7a84895268e071445209b928fe9e89
DIST asciidoctor-diagram-1.5.15.tar.gz 11264772 BLAKE2B 7333750ac7fc5a8abdb397ed4f7a891d46a07d1032d396968e6f56abf0b50def6dfbb108f6a0a775bb9519f7b8ef91f22d70b1722496e142e8cef58315eced2c SHA512 bc3a5a53bbd53decd479a14c9ad5f561e88b5761da77f246326bd2b5b9388d3d34f18b8964fbbc0e6b47c9d212758a1983b7ed10559b5bda42d5382ded756a72
+DIST asciidoctor-diagram-1.5.16.tar.gz 11264819 BLAKE2B 31320b609aaa8458bf24d05f5ea5a561801cdf5e0243e333bbf209060fb75ebed47f94302e381420f8d294a5c0349783d8b3e2bdc81721d50d990eb978a220a5 SHA512 94822a604c43894e2be11370aa4595948e35f4f670338d84abe798beb312a8212c944e78478b785d68384177787539ed4a20a360b55325bd94ced502ca957843
diff --git a/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.16.ebuild b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.16.ebuild
new file mode 100644
index 00000000000..146e83d9a8d
--- /dev/null
+++ b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-1.5.16.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc LICENSE.txt README.adoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A set of Asciidoctor extensions that enable you to add diagrams"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor-diagram"
+SRC_URI="https://github.com/asciidoctor/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/asciidoctor-1.5* <dev-ruby/asciidoctor-3"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -i -e '/c.formatter/ s:^:#:' spec/test_helper.rb || die
+
+ # Avoid specs for unpackaged tools
+ rm -f spec/{a2s,blockdiag,erd,mermaid,msc,nomnoml,shaape,svgbob,syntrax,umlet,vega,wavedrom}_spec.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+}